package comparingDevices;

import icsDyn.MVCArg;

import java.awt.Point;
import java.util.Observable;

/**
 * This class allows to implement the Model view controler
 * @author MC
 *
 */
public class MVC extends Observable{
	/**
	* Fire an event
	* @param arg An MVCArg object
	*/
	public void fireEvent(MVCArg arg) {
        setChanged();
        notifyObservers(arg);
    }
	public void startComparaison(){
		fireEvent(new MVCArg("start", ""));
	}
	public void export(){
		fireEvent(new MVCArg("export", ""));
	}
	public void selectRow(int i)
	{
		fireEvent(new MVCArg("select", new Integer(i)));
	}
	public void selectMenuRow(Point p) {
		fireEvent(new MVCArg("menu", p));
		
	}

}
